Subject: bug#22392: Emacs OS X GUI doesn't set locale

From: Anders Lindgren <[email-masked]>
Date: Tue, 26 Jan 2016 16:06:38 +0100

On Tue, Jan 26, 2016 at 3:44 PM, Eli Zaretskii <[email-masked]> wrote:

> > * Have you considered populating `process-environment' instead of
> setting LANG
> > in the Emacs process? Would there be any advantages/disadvantages with
> this
> > approach?
>
> process-environment gets passed to child processes, right?
>

Yes, that is why I asked if he had considered that approach. The reason I
asked was if there was any advantage in setting the LANG variable of the
Emacs process itself, or if this only was of interest of subprocesses.

    -- Anders